QGIS Application - Bug report #17375

Print Composer ignores width values from expression

2017-11-01 05:24 PM - zimirrr leonid

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.14.17
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: not reproducable

Copied to github as #: 25272

Description

Hello. | found strange thing.

| have a project where lines width is calculated with such expression:
"width_coefficient" + to_real( @ TEST_VAR_WIDTH )
where "width_coefficient" is column and @ TEST_VAR_WIDTH global variable in qgis.

Here how layer looks like when @TEST_VAR_WIDTH =0

And now @TEST_VAR_WIDTH =-0.5
Everything works fine but when | try to print as pdf from composer | get all lines.

See export_pdf.pdf

I've created test qgis project with one layer and composer. You can try it yourself.

QGIS version 2.14.17-Essen

Compiled against Qt 4.8.5

Compiled against GDAL/OGR 2.2.1
Compiled against GEOS 3.5.0-CAPI-1.9.0

History

#1 - 2017-11-02 12:55 PM - Giovanni Manghi
- Status changed from Open to Feedback

what about 2.18.14/master?

#2 - 2018-08-15 07:37 PM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback.
